import os, string, random
def load_data(level):
    n_test=open(os.path.join("levels","lvl_"+str(level)+".pgl"))
    n_test=n_test.read()
    a = string.split(n_test)

    found_map_size = False
    on_map_size = False
    map_size = []
    found_player = False
    on_player = False
    player = []
    found_neuts = False
    neuts = []
    on_neuts = False
    found_enemies = False
    on_enemies = False
    enemies = []
    found_duration = False
    on_duration = False
    duration = 20
    found_rocks = False
    on_rocks = False
    rocks = []
    found_player_base = False
    on_player_base = False
    player_base = []
    for i in range(len(a)):
        if a[i] == "map_size:":
            on_map_size = True
        if on_map_size:
            if not a[i] == "end_map_size":
                if a[i] == "size:":
                    if not a[i + 1] == "random":
                        map_size.append((int(float(a[i+1])), int(float(a[i+2]))))
                    else:
                        map_size.append(( random.randint(0,int(float(a[i+2]))-1),
                                          random.randint(0,int(float(a[i+3]))-1) ))
                else:
                    pass
            else:
                on_player = False
                
        if a[i] == "player_pos:":
            on_player = True
        if on_player:
            if not a[i] == "end_player":
                if a[i] == "player:":
                    if not a[i + 1] == "random":
                        player.append((int(float(a[i+1])), int(float(a[i+2]))))
                    else:
                        player.append(( random.randint(0,int(float(a[i+2]))-1),
                                        random.randint(0,int(float(a[i+3]))-1) ))
                else:
                    pass
            else:
                on_player = False
            
        if a[i] == "begin_neuts:":
            on_neuts = True
        if on_neuts:
            if not a[i] == "end_neuts":
                if a[i] == "neut:":
                    if not a[i + 1] == "random":
                        neuts.append((int(float(a[i+1])), int(float(a[i+2]))))
                    else:
                        neuts.append(( random.randint(0,int(float(a[i+2]))-1),
                                       random.randint(0,int(float(a[i+3]))-1) ))
                else:
                    pass
            else:
                on_neuts = False

        if a[i] == "begin_enemies:":
            on_enemies = True
        if on_enemies:
            if not a[i] == "end_enemies":
                if a[i] == "enemy:":
                    if not a[i+1] == "random":
                        enemies.append((int(float(a[i+1])), int(float(a[i+2]))))
                    else:
                        enemies.append(( random.randint(0,int(float(a[i+2]))-1),
                                         random.randint(0,int(float(a[i+3]))-1) ))
                else:
                    pass
            else:
                on_neuts = False

        if a[i] == "begin_duration:":
            on_duration = True
        if on_duration:
            if not a[i] == "end_duration":
                if a[i] == "duration:":
                    if not a[i+1] == "random":
                        duration = int(float(a[i+1]))
                    else:
                        duration = random.randint(0,int(float(a[i+2]))-1)
                else:
                    pass
            else:
                on_neuts = False

        if a[i] == "begin_rocks:":
            on_rocks = True
        if on_rocks:
            if not a[i] == "end_rocks":
                if a[i] == "rock:":
                    if not a[i+1] == "random":
                        rocks.append((int(float(a[i+1])), int(float(a[i+2]))))
                    else:
                        rocks.append(( random.randint(0,int(float(a[i+2]))-1),
                                       random.randint(0,int(float(a[i+3]))-1) ))
                else:
                    pass
            else:
                on_rocks = False

        if a[i] == "begin_player_base:":
            on_player_base = True
        if on_player_base:
            if not a[i] == "end_player_base":
                if a[i] == "base:":
                    if not a[i+1] == "random":
                        player_base.append((int(float(a[i+1])), int(float(a[i+2]))))
                    else:
                        player_base.append(( random.randint(0,int(float(a[i+2]))-1),
                                             random.randint(0,int(float(a[i+3]))-1) ))
                else:
                    pass
            else:
                on_player_base = False

    return map_size, player, neuts, enemies, duration, rocks, player_base
